Update Model Spec
Update a model specification.
PATCH
/
v1
/
workspaces
/
{workspace}
/
model-specs
/
{model_spec_id}
Update Model Spec
curl --request PATCH \
--url https://api.example.com/v1/workspaces/{workspace}/model-specs/{model_spec_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cache_creation_input_cost_per_token": 123,
"cached_input_cost_per_token": 123,
"context_window": 1073741823,
"default_context_strategy": "<string>",
"description": "<string>",
"display_name": "<string>",
"input_cost_per_token": 123,
"is_active": true,
"max_output_tokens": 1073741823,
"output_cost_per_token": 123
}
'import requests
url = "https://api.example.com/v1/workspaces/{workspace}/model-specs/{model_spec_id}"
payload = {
"cache_creation_input_cost_per_token": 123,
"cached_input_cost_per_token": 123,
"context_window": 1073741823,
"default_context_strategy": "<string>",
"description": "<string>",
"display_name": "<string>",
"input_cost_per_token": 123,
"is_active": True,
"max_output_tokens": 1073741823,
"output_cost_per_token": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cache_creation_input_cost_per_token: 123,
cached_input_cost_per_token: 123,
context_window: 1073741823,
default_context_strategy: '<string>',
description: '<string>',
display_name: '<string>',
input_cost_per_token: 123,
is_active: true,
max_output_tokens: 1073741823,
output_cost_per_token: 123
})
};
fetch('https://api.example.com/v1/workspaces/{workspace}/model-specs/{model_spec_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/workspaces/{workspace}/model-specs/{model_spec_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'cache_creation_input_cost_per_token' => 123,
'cached_input_cost_per_token' => 123,
'context_window' => 1073741823,
'default_context_strategy' => '<string>',
'description' => '<string>',
'display_name' => '<string>',
'input_cost_per_token' => 123,
'is_active' => true,
'max_output_tokens' => 1073741823,
'output_cost_per_token' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/workspaces/{workspace}/model-specs/{model_spec_id}"
payload := strings.NewReader("{\n \"cache_creation_input_cost_per_token\": 123,\n \"cached_input_cost_per_token\": 123,\n \"context_window\": 1073741823,\n \"default_context_strategy\": \"<string>\",\n \"description\": \"<string>\",\n \"display_name\": \"<string>\",\n \"input_cost_per_token\": 123,\n \"is_active\": true,\n \"max_output_tokens\": 1073741823,\n \"output_cost_per_token\": 123\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/v1/workspaces/{workspace}/model-specs/{model_spec_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"cache_creation_input_cost_per_token\": 123,\n \"cached_input_cost_per_token\": 123,\n \"context_window\": 1073741823,\n \"default_context_strategy\": \"<string>\",\n \"description\": \"<string>\",\n \"display_name\": \"<string>\",\n \"input_cost_per_token\": 123,\n \"is_active\": true,\n \"max_output_tokens\": 1073741823,\n \"output_cost_per_token\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/workspaces/{workspace}/model-specs/{model_spec_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"cache_creation_input_cost_per_token\": 123,\n \"cached_input_cost_per_token\": 123,\n \"context_window\": 1073741823,\n \"default_context_strategy\": \"<string>\",\n \"description\": \"<string>\",\n \"display_name\": \"<string>\",\n \"input_cost_per_token\": 123,\n \"is_active\": true,\n \"max_output_tokens\": 1073741823,\n \"output_cost_per_token\": 123\n}"
response = http.request(request)
puts response.read_body{
"context_window": 123,
"created_at": "2023-11-07T05:31:56Z",
"default_context_strategy": "<string>",
"description": "<string>",
"display_name": "<string>",
"id": "<string>",
"is_active": true,
"model_name": "<string>",
"provider_spec_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"cache_creation_input_cost_per_token": "<string>",
"cached_input_cost_per_token": "<string>",
"input_cost_per_token": "<string>",
"kind": "chat",
"max_output_tokens": 123,
"output_cost_per_token": "<string>",
"provider_key": "<string>",
"provider_name": "<string>",
"supports_function_calling": false,
"supports_reasoning": false,
"supports_vision": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Slug of the workspace the request acts in
Maximum string length:
120Pattern:
^[a-z0-9]+(?:-[a-z0-9]+)*$Body
application/json
Required range:
0 < x <= 2147483647Required range:
0 < x <= 2147483647Response
Successful Response
What a model produces, which decides every surface it may be bound to.
An agent's main model is chat; the media toolset takes image and
video; the decide toolset and decision-backed trigger conditions take
decision. A model has exactly one kind.
Available options:
chat, embedding, image, video, decision ⌘I
Update Model Spec
curl --request PATCH \
--url https://api.example.com/v1/workspaces/{workspace}/model-specs/{model_spec_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cache_creation_input_cost_per_token": 123,
"cached_input_cost_per_token": 123,
"context_window": 1073741823,
"default_context_strategy": "<string>",
"description": "<string>",
"display_name": "<string>",
"input_cost_per_token": 123,
"is_active": true,
"max_output_tokens": 1073741823,
"output_cost_per_token": 123
}
'import requests
url = "https://api.example.com/v1/workspaces/{workspace}/model-specs/{model_spec_id}"
payload = {
"cache_creation_input_cost_per_token": 123,
"cached_input_cost_per_token": 123,
"context_window": 1073741823,
"default_context_strategy": "<string>",
"description": "<string>",
"display_name": "<string>",
"input_cost_per_token": 123,
"is_active": True,
"max_output_tokens": 1073741823,
"output_cost_per_token": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cache_creation_input_cost_per_token: 123,
cached_input_cost_per_token: 123,
context_window: 1073741823,
default_context_strategy: '<string>',
description: '<string>',
display_name: '<string>',
input_cost_per_token: 123,
is_active: true,
max_output_tokens: 1073741823,
output_cost_per_token: 123
})
};
fetch('https://api.example.com/v1/workspaces/{workspace}/model-specs/{model_spec_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/workspaces/{workspace}/model-specs/{model_spec_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'cache_creation_input_cost_per_token' => 123,
'cached_input_cost_per_token' => 123,
'context_window' => 1073741823,
'default_context_strategy' => '<string>',
'description' => '<string>',
'display_name' => '<string>',
'input_cost_per_token' => 123,
'is_active' => true,
'max_output_tokens' => 1073741823,
'output_cost_per_token' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/workspaces/{workspace}/model-specs/{model_spec_id}"
payload := strings.NewReader("{\n \"cache_creation_input_cost_per_token\": 123,\n \"cached_input_cost_per_token\": 123,\n \"context_window\": 1073741823,\n \"default_context_strategy\": \"<string>\",\n \"description\": \"<string>\",\n \"display_name\": \"<string>\",\n \"input_cost_per_token\": 123,\n \"is_active\": true,\n \"max_output_tokens\": 1073741823,\n \"output_cost_per_token\": 123\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/v1/workspaces/{workspace}/model-specs/{model_spec_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"cache_creation_input_cost_per_token\": 123,\n \"cached_input_cost_per_token\": 123,\n \"context_window\": 1073741823,\n \"default_context_strategy\": \"<string>\",\n \"description\": \"<string>\",\n \"display_name\": \"<string>\",\n \"input_cost_per_token\": 123,\n \"is_active\": true,\n \"max_output_tokens\": 1073741823,\n \"output_cost_per_token\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/workspaces/{workspace}/model-specs/{model_spec_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"cache_creation_input_cost_per_token\": 123,\n \"cached_input_cost_per_token\": 123,\n \"context_window\": 1073741823,\n \"default_context_strategy\": \"<string>\",\n \"description\": \"<string>\",\n \"display_name\": \"<string>\",\n \"input_cost_per_token\": 123,\n \"is_active\": true,\n \"max_output_tokens\": 1073741823,\n \"output_cost_per_token\": 123\n}"
response = http.request(request)
puts response.read_body{
"context_window": 123,
"created_at": "2023-11-07T05:31:56Z",
"default_context_strategy": "<string>",
"description": "<string>",
"display_name": "<string>",
"id": "<string>",
"is_active": true,
"model_name": "<string>",
"provider_spec_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"cache_creation_input_cost_per_token": "<string>",
"cached_input_cost_per_token": "<string>",
"input_cost_per_token": "<string>",
"kind": "chat",
"max_output_tokens": 123,
"output_cost_per_token": "<string>",
"provider_key": "<string>",
"provider_name": "<string>",
"supports_function_calling": false,
"supports_reasoning": false,
"supports_vision": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}